getcol(1)

Name
getcol - Extract specified columns from an ASCII table file

Synopsis
getcol [-amv][-n num][-r lines][-s num] filename [column number range]

Description
Extract specified columns from an ASCII table file

Options

filename
    Name of a ASCII table file. At least one of these must be present for any values to be printed. If it is stdin or STDIN, an ASCII table is expected as standard input. If there is no input file, standard input is assumed.

@filename
    Name of a file containing a list of ASCII table files. If this is present, any other file names on the command line will be ignored.

field range
    Print value of these columns for the number of lines of the table specified by the -n argument after the skippiing the number of lines specified by the -s argument. A value of 0 causes the entire input line to be printed.

-a  Sum all numeric columns selected, printing the sum on the line following the result. Columns with no sum are filled with ___. (Added in version 2.6.9)

-b  Input is bar-separate table file

-c  Add count of number of lines in each column at end

-d <number>
    Number of decimal places in f.p. output

-e  Compute medians of selected columns

-f  Print range of values in selected columns

-h  Print Starbase tab table header

-i  Input is tab-separate table file

-k  Print number of columns on first line

-l <number>
    Number of lines to add to each line

-m  Compute the means of all numeric columns selected, printing the mean on the line following the result (or the line following the sum if -a is used). Columns with no mean are filled with ___. (Added in version 2.6.9)

-n num
    Print selected columns for this many lines. If not specified, all lines will be read after the number of lines specified by -s have been skipped.

-o  OR conditions insted of ANDing them

-p  Print only sum, mmean, sigma, median, or range, not entries

-r @listfile
    -r line range Print columns from the lines specified as either the first nonzero number on each line of the file listfile or the comma- and hyphen- delimitied range; i.e. 1-5,10-12 will print values from lines 1, 2, 3, 4, 5, 10, 11, and 12. (added in version 2.6.12)

-s num
    Skip this many line before starting to print values. If not specified, no lines will be skipped.

-t  Starbase (tab-separated) table output

-v  Print more information about process.

Web Page
http://tdc-www.harvard.edu/software/wcstools/getcol.html

Author
Doug Mink, SAO (dmink@cfa.harvard.edu)